MethodDescriptor (Java SE 12 & JDK 12 )
Keywords: java.beans.MethodDescriptor class

Module java.desktop
Package java.beans

## Class MethodDescriptor

- java.lang.Object
- - java.beans.FeatureDescriptor
  - - java.beans.MethodDescriptor

-     public class MethodDescriptor
      extends FeatureDescriptor

  A MethodDescriptor describes a particular method that a Java Bean supports for external access from other components.
  Since:
    1.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodDescriptor​(Method method)` | Constructs a `MethodDescriptor` from a `Method`.
    `MethodDescriptor​(Method method, ParameterDescriptor[] parameterDescriptors)` | Constructs a `MethodDescriptor` from a `Method` providing descriptive information for each of the method's parameters.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Method` | `getMethod()` | Gets the method that this MethodDescriptor encapsulates.
    `ParameterDescriptor[]` | `getParameterDescriptors()` | Gets the ParameterDescriptor for each of this MethodDescriptor's method's parameters.

    - ### Methods declared in class java.beans.FeatureDescriptor

      `attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodDescriptor

          public MethodDescriptor​(Method method)

      Constructs a `MethodDescriptor` from a `Method`.
      Parameters:
        `method` - The low-level method information.

    - #### MethodDescriptor

          public MethodDescriptor​(Method method,
                                  ParameterDescriptor[] parameterDescriptors)

      Constructs a `MethodDescriptor` from a `Method` providing descriptive information for each of the method's parameters.
      Parameters:
        `method` - The low-level method information.
        `parameterDescriptors` - Descriptive information for each of the method's parameters.

  - ### Method Detail

    - #### getMethod

          public Method getMethod()

      Gets the method that this MethodDescriptor encapsulates.
      Returns:
        The low-level description of the method

    - #### getParameterDescriptors

          public ParameterDescriptor[] getParameterDescriptors()

      Gets the ParameterDescriptor for each of this MethodDescriptor's method's parameters.
      Returns:
        The locale-independent names of the parameters. May return a null array if the parameter names aren't known.